document.addEventListener("DOMContentLoaded", function() {
    fetch('../partials/header.html')
      .then(response => response.text())
      .then(data => {
        document.getElementById('header-placeholder').innerHTML = data;
  
        // Mobile Menu Button
        document.getElementById('menu-btn').addEventListener('click', function() {
          const mobileMenu = document.getElementById('mobile-menu');
          if (mobileMenu.classList.contains('hidden')) {
            mobileMenu.classList.remove('hidden');
          } else {
            mobileMenu.classList.add('hidden');
          }
        });
      });
  
    fetch('../partials/footer.html')
      .then(response => response.text())
      .then(data => {
        document.getElementById('footer-placeholder').innerHTML = data;
      });
  });
  
  document.addEventListener('DOMContentLoaded', () => {
    const testimonySection = document.querySelector('#testimony-scroller');
    let isUserInteracting = false;
    let isScrolling = false;
    let scrollSpeed = 1.25; // Adjust scroll speed as needed
    let scrollAnimationFrame;
    let userClicked = false;
  
    function isElementInViewport(el) {
      const rect = el.getBoundingClientRect();
      return (
        rect.top >= 0 &&
        rect.left >= 0 &&
        rect.bottom <= (window.innerHeight || document.documentElement.clientHeight) &&
        rect.right <= (window.innerWidth || document.documentElement.clientWidth)
      );
    }
  
    function continuousScroll() {
      if (!isUserInteracting && !userClicked && isElementInViewport(testimonySection)) {
        testimonySection.scrollLeft += scrollSpeed;
  
        if (testimonySection.scrollLeft + testimonySection.clientWidth >= testimonySection.scrollWidth) {
          testimonySection.scrollTo({ left: 0 });
        }
  
        scrollAnimationFrame = requestAnimationFrame(continuousScroll);
      } else {
        cancelAnimationFrame(scrollAnimationFrame);
      }
    }
  
    function startContinuousScroll() {
      // if (!isScrolling && !userClicked) {
      //   isScrolling = true;
      //   scrollAnimationFrame = requestAnimationFrame(continuousScroll);
      // }
      return false;
    }
  
    function stopContinuousScroll() {
      isScrolling = false;
      cancelAnimationFrame(scrollAnimationFrame);
    }
  
    window.addEventListener('scroll', () => {
      if (isElementInViewport(testimonySection)) {
        startContinuousScroll();
      } else {
        stopContinuousScroll();
      }
    });
  
    testimonySection.addEventListener('mouseover', () => {
      if (!userClicked) {
        isUserInteracting = true;
        stopContinuousScroll();
      }
    });
  
    testimonySection.addEventListener('mouseout', () => {
      if (!userClicked) {
        isUserInteracting = false;
        startContinuousScroll();
      }
    });
  
    testimonySection.addEventListener('click', () => {
      userClicked = true;
      stopContinuousScroll();
      testimonySection.scrollTo({ left: 0, behavior: 'smooth' });
    });
  });
  